/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* 查询接口--数据传输对象：元素信息管理
*
* createdate:  2022-11-04 09:57:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "元素信息管理")
public class AtuElementInfoQueryDto implements Serializable
{
    /**
     * 元素分组ID<br>
     */
    @ApiModelProperty("元素分组ID")
    @Size(max = 255, message="元素分组ID-groupId: 数据长度不能 > 255" )
    private String groupId;
    /**
     * 元素名称<br>
     */
    @ApiModelProperty("元素名称")
    @Size(max = 255, message="元素名称-name: 数据长度不能 > 255" )
    private String name;
    /**
     * 元素类型<br>
     */
    @ApiModelProperty("元素类型")
    @Size(max = 255, message="元素类型-type: 数据长度不能 > 255" )
    private String type;
    /**
     * 元素获取方式<br>
     */
    @ApiModelProperty("元素获取方式")
    @Size(max = 32, message="元素获取方式-fetchType: 数据长度不能 > 32" )
    private String fetchType;
    /**
     * 租户号<br>
     */
    @ApiModelProperty("租户号")
    @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    @ApiModelProperty("系统id列表")
    private List<String> proIds;

    @ApiModelProperty("目录id列表")
    private List<String> groupIds;

    @ApiModelProperty("创建人")
    @Size(max = 50, message="创建人-creator: 数据长度不能 > 50" )
    private String creator;

    private List<String> createBys;

    @ApiModelProperty("修改人")
    @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
    private String updatedName;

    @ApiModelProperty("修改人Id列表")
    private List<String> updatedBys;

    @ApiModelProperty("创建时间开始")
    private String createdTimeStart;
    @ApiModelProperty("创建时间结束")
    private String createdTimeEnd;
    @ApiModelProperty("修改时间开始")
    private String updatedTimeStart;
    @ApiModelProperty("修改时间结束")
    private String updatedTimeEnd;

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }


    private String creatorId;

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    private String updateBy;

    private Date startCreatedTime;

    private Date endCreatedTime;

    private Date startUpdatedTime;

    private Date endUpdatedTime;

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public List<String> getCreateBys() {
        return createBys;
    }

    public void setCreateBys(List<String> createBys) {
        this.createBys = createBys;
    }

    public String getUpdatedName() {
        return updatedName;
    }

    public void setUpdatedName(String updatedName) {
        this.updatedName = updatedName;
    }

    public List<String> getUpdatedBys() {
        return updatedBys;
    }

    public void setUpdatedBys(List<String> updatedBys) {
        this.updatedBys = updatedBys;
    }

    public String getCreatedTimeStart() {
        return createdTimeStart;
    }

    public void setCreatedTimeStart(String createdTimeStart) {
        this.createdTimeStart = createdTimeStart;
    }

    public String getCreatedTimeEnd() {
        return createdTimeEnd;
    }

    public void setCreatedTimeEnd(String createdTimeEnd) {
        this.createdTimeEnd = createdTimeEnd;
    }

    public String getUpdatedTimeStart() {
        return updatedTimeStart;
    }

    public void setUpdatedTimeStart(String updatedTimeStart) {
        this.updatedTimeStart = updatedTimeStart;
    }

    public String getUpdatedTimeEnd() {
        return updatedTimeEnd;
    }

    public void setUpdatedTimeEnd(String updatedTimeEnd) {
        this.updatedTimeEnd = updatedTimeEnd;
    }

    public Date getStartCreatedTime() {
        return startCreatedTime;
    }

    public void setStartCreatedTime(Date startCreatedTime) {
        this.startCreatedTime = startCreatedTime;
    }

    public Date getEndCreatedTime() {
        return endCreatedTime;
    }

    public void setEndCreatedTime(Date endCreatedTime) {
        this.endCreatedTime = endCreatedTime;
    }

    public Date getStartUpdatedTime() {
        return startUpdatedTime;
    }

    public void setStartUpdatedTime(Date startUpdatedTime) {
        this.startUpdatedTime = startUpdatedTime;
    }

    public Date getEndUpdatedTime() {
        return endUpdatedTime;
    }

    public void setEndUpdatedTime(Date endUpdatedTime) {
        this.endUpdatedTime = endUpdatedTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getFetchType() {
        return fetchType;
    }

    public void setFetchType(String fetchType) {
        this.fetchType = fetchType;
    }

    public List<String> getProIds() {
        return proIds;
    }

    public void setProIds(List<String> proIds) {
        this.proIds = proIds;
    }

    public List<String> getGroupIds() {
        return groupIds;
    }

    public void setGroupIds(List<String> groupIds) {
        this.groupIds = groupIds;
    }
}